ChangeSet 1.893, 2002/12/18 00:12:02-08:00, greg@kroah.com

[PATCH] USB: warn users that they should not be using the usbdevfs name.


diff -Nru a/drivers/usb/core/inode.c b/drivers/usb/core/inode.c
--- a/drivers/usb/core/inode.c	Wed Dec 18 00:34:05 2002
+++ b/drivers/usb/core/inode.c	Wed Dec 18 00:34:05 2002
@@ -487,10 +487,15 @@
  * It will be removed when the 2.7.x development cycle is started.
  * You have been warned :)
  */
+static struct file_system_type usbdevice_fs_type;
 
 static struct super_block *usb_get_sb(struct file_system_type *fs_type,
 	int flags, char *dev_name, void *data)
 {
+	if (fs_type == &usbdevice_fs_type)
+		printk (KERN_INFO "Please use the 'usbfs' filetype instead, "
+				"the 'usbdevfs' name is depreciated.\n");
+
 	return get_sb_single(fs_type, flags, data, usbfs_fill_super);
 }
 
